LightWayTxtGraph Class Reference

the main class to read the graphic part of a LightWay Text file More...

`#include <LightWayTxtGraph.hxx>`

## Public Member Functions

| LightWayTxtGraph (LightWayTxtParser &parser)
| constructor
virtual | ~LightWayTxtGraph ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions

bool | createZones ()
| finds the different graphic zones
void | flushExtra ()
| sends the data which have not yet been sent to the listener
bool | sendPageGraphics ()
| try to send the page graphic
void | send (int id)
| try to send a graph
bool | sendJPEG (MWAWEntry const &entry)
| try to send a JPEG resource
bool | sendPICT (MWAWEntry const &entry)
| try to send a PICT resource

## Static Protected Member Functions

static bool | findJPEGSize (librevenge::RVNGBinaryData const &data, MWAWVec2i &sz)
| try to find a JPEG size

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< LightWayTxtGraphInternal::State > | m_state
| the state
LightWayTxtParser * | m_mainParser
| the main parser;

## Private Member Functions

| LightWayTxtGraph (LightWayTxtGraph const &orig)=delete
LightWayTxtGraph & | operator= (LightWayTxtGraph const &orig)=delete

## Friends

class | LightWayTxtParser

## Detailed Description

the main class to read the graphic part of a LightWay Text file

## Constructor & Destructor Documentation

## LightWayTxtGraph() [1/2]

LightWayTxtGraph::LightWayTxtGraph | ( | LightWayTxtParser & | parser | ) |

explicit

constructor

Referenced by LightWayTxtGraph(), and operator=().

## ~LightWayTxtGraph()

LightWayTxtGraph::~LightWayTxtGraph | ( |  | ) |

virtual

destructor

## LightWayTxtGraph() [2/2]

LightWayTxtGraph::LightWayTxtGraph | ( | LightWayTxtGraph const & | orig | ) |

private delete

## Member Function Documentation

## createZones()

bool LightWayTxtGraph::createZones | ( |  | ) |

protected

finds the different graphic zones

## findJPEGSize()

bool LightWayTxtGraph::findJPEGSize | ( | librevenge::RVNGBinaryData const & | data,
|  | MWAWVec2i & | sz )

static protected

try to find a JPEG size

Referenced by sendJPEG().

## flushExtra()

void LightWayTxtGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## numPages()

int LightWayTxtGraph::numPages | ( |  | ) | const

returns the number of pages

## operator=()

LightWayTxtGraph & LightWayTxtGraph::operator= | ( | LightWayTxtGraph const & | orig | ) |

private delete

## send()

void LightWayTxtGraph::send | ( | int | id | ) |

protected

try to send a graph

## sendJPEG()

bool LightWayTxtGraph::sendJPEG | ( | MWAWEntry const & | entry | ) |

protected

try to send a JPEG resource

Referenced by flushExtra(), and send().

## sendPageGraphics()

bool LightWayTxtGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

## sendPICT()

bool LightWayTxtGraph::sendPICT | ( | MWAWEntry const & | entry | ) |

protected

try to send a PICT resource

Referenced by flushExtra(), and send().

## version()

int LightWayTxtGraph::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## LightWayTxtParser

friend class LightWayTxtParser

friend

Referenced by LightWayTxtGraph(), and LightWayTxtParser.

## Member Data Documentation

## m_mainParser

LightWayTxtParser* LightWayTxtGraph::m_mainParser

protected

the main parser;

Referenced by createZones(), LightWayTxtGraph(), sendJPEG(), and sendPICT().

## m_parserState

MWAWParserStatePtr LightWayTxtGraph::m_parserState

protected

the parser state

Referenced by LightWayTxtGraph(), sendJPEG(), sendPICT(), and version().

## m_state

std::shared_ptr<LightWayTxtGraphInternal::State> LightWayTxtGraph::m_state

protected

the state

Referenced by createZones(), flushExtra(), LightWayTxtGraph(), numPages(), and send().

The documentation for this class was generated from the following files:

- LightWayTxtGraph.hxx
- LightWayTxtGraph.cxx